Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.impl
Class StandardFileSystemManager

    java.lang.Object
      org.apache.commons.vfs.impl.DefaultFileSystemManager
          org.apache.commons.vfs.impl.StandardFileSystemManager

All Implemented Interfaces:
  FileSystemManager

public class StandardFileSystemManager
extends DefaultFileSystemManager

A `FileSystemManager` that configures itself from an XML (Default: providers.xml) configuration file.
Certain providers are only loaded and available if the dependend library is in your classpath. You have to configure your debugging facility to log "debug" messages to see if a provider was skipped due to "unresolved externals".

Version:
  $Revision: 480428 $ $Date: 2006-11-29 07:15:24 +0100 (Mi, 29 Nov 2006) $
Author:
  Adam Murdoch

Constructor Summary
`StandardFileSystemManager()`

Method Summary
`protected void` | `configurePlugins()` Scans the classpath to find any droped plugin.
`protected DefaultFileReplicator` | `createDefaultFileReplicator()`
`void` | `init()` Initializes this manager.
`void` | `setClassLoader(ClassLoader classLoader)` Sets the ClassLoader to use to load the providers.
`void` | `setConfiguration(String configUri)` Sets the configuration file for this manager.
`void` | `setConfiguration(URL configUri)` Sets the configuration file for this manager.

Methods inherited from class org.apache.commons.vfs.impl.DefaultFileSystemManager
`_closeFileSystem, addExtensionMap, addMimeTypeMap, addOperationProvider, addOperationProvider, addProvider, addProvider, canCreateFileSystem, close, closeFileSystem, createFileSystem, createFileSystem, createVirtualFileSystem, createVirtualFileSystem, freeUnusedResources, getBaseFile, getCacheStrategy, getFileContentInfoFactory, getFileObjectDecorator, getFileObjectDecoratorConst, getFilesCache, getFileSystemConfigBuilder, getLogger, getOperationProviders, getProviderCapabilities, getReplicator, getSchemes, getTemporaryFileStore, getURLStreamHandlerFactory, hasProvider, resolveFile, resolveFile, resolveFile, resolveFile, resolveFile, resolveName, resolveName, resolveURI, setBaseFile, setBaseFile, setCacheStrategy, setDefaultProvider, setFileContentInfoFactory, setFileObjectDecorator, setFilesCache, setLogger, setReplicator, setTemporaryFileStore, toFileObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardFileSystemManager

    public StandardFileSystemManager()

Method Detail

### setConfiguration

    public void setConfiguration(String configUri)

  Sets the configuration file for this manager.

### setConfiguration

    public void setConfiguration(URL configUri)

  Sets the configuration file for this manager.

### setClassLoader

    public void setClassLoader(ClassLoader classLoader)

  Sets the ClassLoader to use to load the providers. Default is to use the ClassLoader that loaded this class.

### init

    public void init()
              throws FileSystemException

  Initializes this manager. Adds the providers and replicator.

  Overrides:
    `init` in class `DefaultFileSystemManager`
  Throws:
    `FileSystemException`

### configurePlugins

    protected void configurePlugins()
                             throws FileSystemException

  Scans the classpath to find any droped plugin.
  The plugin-description has to be in /META-INF/vfs-providers.xml

  Throws:
    `FileSystemException`

### createDefaultFileReplicator

    protected DefaultFileReplicator createDefaultFileReplicator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.